
QGIS Application - Bug report #21621

QGIS Crashed Windows when close qis

2019-03-19 08:43 PM - Martín Fernando Ortiz

Status: Feedback

Priority: High

Assignee:

Category: Project Loading/Saving

Affected QGIS version:3.4.4 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 29437

Description

User Feedback

QGIS Crashed when i closed the project. I had made updates and also put new profiles with no plugins complements.

I have this problems since some months ago but i couldnt fix it.  I attached the project. 

Thanks!!! and congratulation for the great work that you are doing with qgis ;)

Report Details

Crash ID: c8d80f3b38d15cdf5d0264d4cdea93f9ce32632e

Stack Trace

RtlFreeHeap :

clGetExtensionFunctionAddress :

clGetExtensionFunctionAddress :

clGetExtensionFunctionAddress :

clGetExtensionFunctionAddress :

clGetExtensionFunctionAddress :

clGetExtensionFunctionAddress :

clGetExtensionFunctionAddress :

execute_onexit_table :

execute_onexit_table :

execute_onexit_table :

QgsQtLocationConnection::qt_metacast :

QgsQtLocationConnection::qt_metacast :

RtlActivateActivationContextUnsafeFast :

LdrShutdownProcess :

RtlExitUserProcess :

FatalExit :

exit :

exit :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.4-Madeira

QGIS code revision: commit:f6ddc62fdb

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134
History

#1 - 2019-03-20 01:37 PM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Open to Feedback

No crash here loading/closing your project, windows and qgis 3.4.5.

#2 - 2019-03-20 01:47 PM - Alessandro Pasotti

Can you try to disable Acceleration under QGIS "options"?

#3 - 2019-03-20 02:57 PM - Martín Fernando Ortiz

- Assignee set to Alessandro Pasotti

I disabled the acceleration but still appear. I copy the report here

User Feedback

I disabled the aceleration. But the QGIS Crashed Message still appear when I close the program. 

I dont lose information or anything, but allways appear the message.

Regards!

Report Details

Crash ID: c8d80f3b38d15cdf5d0264d4cdea93f9ce32632e

Stack Trace

RtlFreeHeap :

clGetExtensionFunctionAddress :

clGetExtensionFunctionAddress :

clGetExtensionFunctionAddress :

clGetExtensionFunctionAddress :

clGetExtensionFunctionAddress :

clGetExtensionFunctionAddress :

clGetExtensionFunctionAddress :

execute_onexit_table :

execute_onexit_table :

execute_onexit_table :

QgsQtLocationConnection::qt_metacast :

QgsQtLocationConnection::qt_metacast :

RtlActivateActivationContextUnsafeFast :

LdrShutdownProcess :

RtlExitUserProcess :

FatalExit :

exit :

exit :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.4-Madeira

QGIS code revision: commit:f6ddc62fdb

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0
System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Alessandro Pasotti wrote:

Can you try to disable Acceleration under QGIS "options"?

#4 - 2019-03-20 06:47 PM - Giovanni Manghi

- Assignee deleted (Alessandro Pasotti)

Martín Fernando Ortiz wrote:

I disabled the acceleration but still appear. I copy the report here

does it happens on a different machine?

Files

QGIS Project.zip 819 KB 2019-03-19 Martín Fernando Ortiz
